@charset "utf-8";
/*
 * CSS Document
 */

 @import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@500&display=swap');

 @import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:ital@1&display=swap');
 
.main-full-stack {
	position: relative;
	width: 1040px;
	height: 375px;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
}

.left-full-stack {
	width: 480px;
	height: 375px;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
}

.right-full-stack {
	width: 480px;
	height: 375px;
	position: absolute;
	top: 0;
	left: 480px;
	z-index: 2;
}

#full-stack {
	width: 100%;
	display: grid;
	grid-template-columns: 1fr 1.4fr 1.4fr 1fr;
	grid-column-gap: 6px;
	grid-row-gap: 60px;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	position: relative;
	z-index: 1;
}

#full-stack .text-designer {
	grid-column-start: 1;
	grid-column-end: 3;
	margin-bottom: 26px;
}

#full-stack .text-designer .title {
	font-family: 'Dancing Script';
	font-size: 38px;
	color: #1F1F1F;
	text-decoration: none;
	text-shadow: 2px 2px 0 #C3C3C3;
	width: 80%;
	text-align: center;
	float: left;
}

#full-stack .text-designer .text {
	font-family: 'Spartan';
	font-size: 15px;
	font-style: italic;
	line-height: 22px;
	display: block;
	color: #5a5d64;
	text-shadow: 1px 1px 0 #FFF;
	clear: both;
	width: 84%;
	text-align: left;
	float: left;
	letter-spacing: -1px;
	padding-left: 12px;
}

#full-stack .text-developer {
	grid-column-start: 3;
	grid-column-end: 5;
	margin-bottom: 26px;
}

#full-stack .text-developer .title {
	font-family: 'Dancing Script';
	font-size: 38px;
	color: #1F1F1F;
	text-decoration: none;
	text-shadow: 2px 2px 0 #C3C3C3;
	width: 80%;
	text-align: center;
	float: right;
}

#full-stack .text-developer .text {
	font-family: 'Spartan';
	font-size: 15px;
	font-style: italic;
	line-height: 22px;
	display: block;
	color: #5a5d64;
	text-shadow: 1px 1px 0 #FFF;
	clear: both;
	width: 84%;
	text-align: right;
	float: right;
	letter-spacing: -1px;
	padding-right: 12px;
}

/* *** DESIGNER *** */

#designer {
	display: table;
	width: 192px;
	height: 192px;
	float: left;
	position: relative;
}

#designer div {
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
}

#designer .face {
	width: 60px;
	height: 50px;
	position: absolute;
	top: 41px;
	left: 60px;
	background-color: #FFF;
	z-index: 50;
	border: 4px solid #003366;
	border-radius: 20% 20% 50% 50%;
	transform: rotate(-16deg);
	animation: swing-head-designer 3s infinite ease-in-out;
}

@keyframes swing-head-designer {
	10% {
		transform: rotate(-16deg);
		left: 60px;
	}
	40% {
		transform: rotate(16deg);
		left: 66px;
	}
	60% {
		transform: rotate(16deg);
		left: 66px;
	}
	90% {
		transform: rotate(-16deg);
		left: 60px;
	}
}

#designer .hair-1 {
	width: 30px;
	height: 28px;
	position: absolute;
	top: -26px;
	left: 33px;
	background-color: #FFD630;
	border: 4px solid #003366;
	z-index: 60;
	border-radius: 10px 13px 13px 0;
	-webkit-box-shadow: inset -10px 0 0 0 rgba(0,0,0,0.2);
	box-shadow: inset -10px 0 0 0 rgba(0,0,0,0.2);
}

#designer .hair-2 {
	width: 15px;
	height: 23px;
	position: absolute;
	top: -21px;
	left: 22px;
	background-color: #FFD630;
	border: 4px solid #003366;
	border-right: none;
	z-index: 60;
	border-radius: 8px 0 0 0;
}

#designer .hair-2:before {
	content: '';
	width: 3px;
	height: 15px;
	display: block;
	position: absolute;
	margin-left: 9px;
	background-color: #FFD630;
	margin-top: 0px;
}

#designer .hair-3 {
	width: 18px;
	height: 18px;
	position: absolute;
	top: -16px;
	left: 8px;
	background-color: #FFD630;
	border: 4px solid #003366;
	border-right: none;
	border-left: none;
	z-index: 60;
	border-radius: 6px 0 0 0;
}

#designer .hair-3:before {
	content: '';
	width: 3px;
	height: 10px;
	display: block;
	position: absolute;
	margin-left: 16px;
	background-color: #FFD630;
	margin-top: 0px;
}

#designer .hair-3:after {
	content: '';
	width: 3px;
	height: 8px;
	display: block;
	position: absolute;
	margin-left: -1px;
	background-color: #FFD630;
	margin-top: 2px;
}

#designer .hair-4 {
	width: 20px;
	height: 28px;
	position: absolute;
	top: -18px;
	left: -8px;
	background-color: #FFD630;
	border: 4px solid #003366;
	z-index: 59;
	border-radius: 8px 8px 8px 8px;
}

#designer .hair-5 {
	width: 8px;
	height: 8px;
	position: absolute;
	top: 2px;
	left: 44px;
	background-color: #CCAB26;
	border: 0;
	border-left: 4px solid #003366;
	border-bottom: 4px solid #003366;
	z-index: 59;
	border-radius: 0 3px 0 10px;
}

#designer .eye-left {
	width: 7px;
	height: 7px;
	border-radius: 50%;
	position: absolute;
	top: 12px;
	left: 10px;
	background-color: #003366;
	z-index: 51;
	animation: wink-designer 3s infinite linear;
}

#designer .eye-right {
	width: 7px;
	height: 7px;
	border-radius: 50%;
	position: absolute;
	top: 12px;
	left: 35px;
	background-color: #003366;
	z-index: 51;
	animation: wink-designer 3s infinite linear;
}

@keyframes wink-designer {
	46% {
		height: 7px;
		top: 12px;
	}
	50% {
		height: 0;
		top: 19px;
	}
	54% {
		height: 7px;
		top: 12px;
	}
}

#designer .ear-left {
	width: 14px;
	height: 14px;
	position: absolute;
	top: 10px;
	left: -11px;
	background-color: #FFF;
	border: 4px solid #003366;
	z-index: 51;
	border-radius: 100%;
}

#designer .ear-left:before {
	content: '';
	width: 6px;
	height: 14px;
	display: block;
	margin-left: 3px;
	border-left: 4px solid #003366;
	background-color: #FFF;
	margin-top: -5px;
}

#designer .ear-right {
	width: 14px;
	height: 14px;
	position: absolute;
	top: 10px;
	left: 49px;
	background-color: #FFF;
	border: 4px solid #003366;
	z-index: 51;
	border-radius: 100%;
}

#designer .ear-right:after {
	content: '';
	width: 6px;
	height: 14px;
	display: block;
	margin-left: -7px;
	border-right: 4px solid #003366;
	background-color: #FFF;
	margin-top: -5px;
}

#designer .neck {
	width: 20px;
	height: 22px;
	position: absolute;
	top: 78px;
	left: 83px;
	background-color: #FFF;
	z-index: 49;
	border: 4px solid #003366;
	border-radius: 50%;
	-webkit-box-shadow: inset 0 2px 0 0 rgba(0,0,0,0.2);
	box-shadow: inset 0 -2px 0 0 rgba(0,0,0,0.2);
}

#designer .body {
	width: 86px;
	height: 34px;
	position: absolute;
	top: 90px;
	left: 50px;
	background-color: #9e424d;
	z-index: 48;
	border: 4px solid #003366;
	border-radius: 50%;
	-webkit-box-shadow: inset 0 3px 0 0 rgba(0,0,0,0.2);
	box-shadow: inset 0 3px 0 0 rgba(0,0,0,0.2);
}

#designer .pc {
	width: 120px;
	height: 65px;
	position: absolute;
	top: 104px;
	left: 32px;
	background-color: #ECECEC;
	z-index: 48;
	border: 4px solid #003366;
	border-radius: 6px 6px 0 0;
}

#designer .pc-logo {
	width: 40px;
	height: 30px;
	position: absolute;
	top: 13px;
	left: 37px;
	z-index: 51;
}

#designer .pc-logo i {
	color: #9e424d;
	font-size: 28px;
	text-shadow: 1px 1px 0 #FFF;
}

#designer .pc-left {
	width: 10px;
	height: 8px;
	position: absolute;
	top: 49px;
	left: 114px;
	background-color: #ECECEC;
	border-top: 4px solid #003366;
	border-right: 4px solid #003366;
	z-index: 51;
	border-radius: 0 50% 0 0;
}

#designer .pc-right {
	width: 10px;
	height: 8px;
	position: absolute;
	top: 49px;
	left: -13px;
	background-color: #ECECEC;
	border-top: 4px solid #003366;
	border-left: 4px solid #003366;
	z-index: 51;
	border-radius: 50% 0 0 0;
}

#designer .base {
	width: 160px;
	height: 4px;
	position: absolute;
	top: 57px;
	left: -24px;
	background-color: #003366;
	z-index: 51;
	border-radius: 2px;
}

/* *** DEVELOPER *** */

#developer {
	display: table;
	width: 192px;
	height: 192px;
	float: right;
	position: relative;
}

#developer div {
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
}

#developer .face {
	width: 60px;
	height: 50px;
	position: relative;
	top: 41px;
	left: 63px;
	background-color: #FFF;
	z-index: 50;
	border: 4px solid #003366;
	border-radius: 20% 20% 50% 50%;
	animation: swing-head-developer 3s infinite ease-in-out;
}

@keyframes swing-head-developer {
	0% { top: 41px; height: 50px; }
	15% { top: 46px; height: 48px; }
	55% { top: 46px; height: 48px; }
	70% { top: 41px; height: 50px; }
}

#developer .eye-left {
	width: 6px;
	height: 6px;
	border-radius: 50%;
	position: absolute;
	top: 12px;
	left: 10px;
	background-color: #003366;
	z-index: 51;
	animation: wink-developer 3s infinite linear;
}

#developer .eye-right {
	width: 6px;
	height: 6px;
	border-radius: 50%;
	position: absolute;
	top: 12px;
	left: 35px;
	background-color: #003366;
	z-index: 51;
	animation: wink-developer 3s infinite linear;
}

#developer .ear-left {
	width: 14px;
	height: 14px;
	position: absolute;
	top: 10px;
	left: -11px;
	background-color: #FFF;
	border: 4px solid #003366;
	z-index: 51;
	border-radius: 100%;
}

#developer .ear-left:before {
	content: '';
	width: 3px;
	height: 14px;
	display: block;
	margin-left: 3px;
	border-left: 4px solid #003366;
	background-color: #FFF;
	margin-top: -5px;
}

#developer .ear-right {
	width: 14px;
	height: 14px;
	position: absolute;
	top: 10px;
	left: 49px;
	background-color: #FFF;
	border: 4px solid #003366;
	z-index: 51;
	border-radius: 100%;
}

#developer .ear-right:after {
	content: '';
	width: 3px;
	height: 14px;
	display: block;
	margin-left: -4px;
	border-right: 4px solid #003366;
	background-color: #FFF;
	margin-top: -5px;
}

#developer .hair-1 {
	width: 9px;
	height: 9px;
	position: absolute;
	top: 2px;
	left: 43px;
	background-color: #D48947;
	border: 0;
	border-left: 4px solid #003366;
	border-bottom: 4px solid #003366;
	z-index: 59;
	border-radius: 0 3px 0 10px;
}

#developer .hair-2 {
	width: 9px;
	height: 9px;
	position: absolute;
	top: 2px;
	left: 0;
	background-color: #AA6E39;
	border: 0;
	border-right: 4px solid #003366;
	border-bottom: 4px solid #003366;
	z-index: 59;
	border-radius: 3px 0 10px 0;
}

#developer .hair-3 {
	width: 65px;
	height: 21px;
	position: absolute;
	top: -19px;
	left: -4px;
	background-color: #D48947;
	border: 4px solid #003366;
	z-index: 60;
	border-radius: 11px 13px 13px 2px;
	-webkit-box-shadow: inset 0 -5px 0 0 rgba(0,0,0,0.2);
	box-shadow: inset 0 -5px 0 0 rgba(0,0,0,0.2);
	animation: swing-hair-3-developer 3s infinite ease-in-out;
}

@keyframes swing-hair-3-developer {
	0% { top: -19px; }
	15% { top: -17px; }
	55% { top: -17px; }
	70% { top: -19px; }
}

#developer .hair-4 {
	width: 32px;
	height: 8px;
	position: absolute;
	top: -23px;
	left: 11px;
	background-color: #D48947;
	border: 4px solid #003366;
	border-bottom: none;
	z-index: 60;
	border-radius: 8px 8px 0 0;
	-webkit-box-shadow: inset 0 2px 0 0 rgba(0,0,0,0.2);
	box-shadow: inset 0 2px 0 0 rgba(0,0,0,0.2);
	animation: swing-hair-4-developer 3s infinite ease-in-out;
}

@keyframes swing-hair-4-developer {
	0% { top: -23px; }
	15% { top: -21px; }
	55% { top: -21px; }
	70% { top: -23px; }
}

#developer .glasses-left {
	width: 18px;
	height: 16px;
	position: absolute;
	top: 7px;
	left: 4px;
	border: 3px solid #003366;
	background-color: transparent;
	border-radius: 6px;
	z-index: 52;
	animation: glasses-developer 3s infinite ease-in-out;
}

#developer .glasses-left:after {
	content: '';
	width: 10px;
	height: 3px;
	display: block;
	margin-left: -12px;
	background-color: #003366;
	margin-top: 1px;
	transform: rotate(20deg);
}

#developer .glasses-right {
	width: 18px;
	height: 16px;
	position: absolute;
	top: 7px;
	left: 29px;
	border: 3px solid #003366;
	background-color: transparent;
	border-radius: 6px;
	z-index: 52;
	animation: glasses-developer 3s infinite ease-in-out;
}

#developer .glasses-right:after {
	content: '';
	width: 10px;
	height: 3px;
	display: block;
	margin-left: 12px;
	background-color: #003366;
	margin-top: -2px;
	transform: rotate(-20deg);
}

@keyframes glasses-developer {
	0% { top: 7px; height: 16px; }
	15% { top: 8px; height: 15px; }
	55% { top: 8px; height: 15px; }
	70% { top: 7px; height: 16px; }
}

#developer .glasses-right:before {
	content: '';
	width: 10px;
	height: 3px;
	display: block;
	margin-left: -12px;
	background-color: #003366;
	margin-top: 1px;
}

#developer .neck {
	width: 20px;
	height: 22px;
	position: absolute;
	top: 78px;
	left: 83px;
	background-color: #FFF;
	z-index: 49;
	border: 4px solid #003366;
	border-radius: 50%;
	-webkit-box-shadow: inset 0 2px 0 0 rgba(0,0,0,0.2);
	box-shadow: inset 0 -2px 0 0 rgba(0,0,0,0.2);
}

#developer .body {
	width: 86px;
	height: 34px;
	position: absolute;
	top: 90px;
	left: 50px;
	background-color: #42589e;
	z-index: 48;
	border: 4px solid #003366;
	border-radius: 50%;
	-webkit-box-shadow: inset 6px 0 0 0 rgba(0,0,0,0.2);
	box-shadow: inset 6px 0 0 0 rgba(0,0,0,0.2);

	animation: swing-body 3s infinite ease-in-out;
}

@keyframes swing-body {
	0% { top: 90px; }
	15% { top: 91px; }
	55% { top: 91px; }
	70% { top: 90px; }
}

#developer .pc {
	width: 120px;
	height: 65px;
	position: absolute;
	top: 104px;
	left: 32px;
	background-color: #ECECEC;
	z-index: 48;
	border: 4px solid #003366;
	border-radius: 6px 6px 0 0;
}

#developer .pc-logo {
	width: 38px;
	height: 36px;
	position: absolute;
	top: 13px;
	left: 38px;
	z-index: 51;
}

#developer .pc-logo i {
	color: #42589e;
	font-size: 28px;
	text-shadow: 1px 1px 0 #FFF;
}

#developer .pc-left {
	width: 10px;
	height: 8px;
	position: absolute;
	top: 49px;
	left: 114px;
	background-color: #ECECEC;
	border-top: 4px solid #003366;
	border-right: 4px solid #003366;
	z-index: 51;
	border-radius: 0 50% 0 0;
}

#developer .pc-right {
	width: 10px;
	height: 8px;
	position: absolute;
	top: 49px;
	left: -13px;
	background-color: #ECECEC;
	border-top: 4px solid #003366;
	border-left: 4px solid #003366;
	z-index: 51;
	border-radius: 50% 0 0 0;
}

#developer .base {
	width: 160px;
	height: 4px;
	position: absolute;
	top: 57px;
	left: -24px;
	background-color: #003366;
	z-index: 51;
	border-radius: 2px;
}

@keyframes wink-developer {
	16% {
		height: 6px;
		top: 12px;
	}
	20% {
		height: 0;
		top: 19px;
	}
	24% {
		height: 6px;
		top: 12px;
	}
}

.icons-designer > div,
.icons-developer > div {
	position: relative;
	width: 6px;
	height: 6px;
	text-shadow: 1px 1px 0 #FFF;
}

#full-stack .html {
	top: 14px;
	left: 14px;
	font-size: 48px;
	color: #e45126;
	z-index: 1;
	transform: rotate(-6deg);
}

#full-stack .css {
	top: 30px;
	left: 72px;
	font-size: 48px;
	color: #0c73b8;
	z-index: 2;
	transform: rotate(8deg);
}

#full-stack .js {
	top: -6px;
	left: 155px;
	font-size: 48px;
	color: #e4a228;
	z-index: 3;
	transform: rotate(-2deg);
}

#full-stack .sass {
	top: 85px;
	left: 146px;
	font-size: 42px;
	color: #c76494;
	z-index: 4;
	transform: rotate(-16deg);
}

#full-stack .less {
	top: 25px;
	left: 126px;
	font-size: 42px;
	color: #1F1F1F;
	z-index: 5;
	transform: rotate(5deg);
}

#full-stack .angular {
	top: 79px;
	left: 38px;
	font-size: 42px;
	color: #bd002e;
	z-index: 6;
	transform: rotate(-12deg);
}

#full-stack .react {
	top: 87px;
	left: 90px;
	font-size: 42px;
	color: #5ed3f3;
	z-index: 7;
	transform: rotate(5deg);
}

#full-stack .python {
	top: 14px;
	left: -16px;
	font-size: 48px;
	color: #336e9d;
	z-index: 1;
	transform: rotate(-6deg);
}

#full-stack .php {
	top: 30px;
	left: 42px;
	font-size: 56px;
	color: #4d588e;
	z-index: 2;
	transform: rotate(8deg);
}

#full-stack .node {
	top: -6px;
	left: 85px;
	font-size: 38px;
	color: #13672a;
	z-index: 3;
	transform: rotate(-2deg);
}

#full-stack .django {
	top: 85px;
	left: 116px;
	font-size: 54px;
	color: #0c2d1f;
	z-index: 4;
	transform: rotate(-16deg);
}

#full-stack .laravel {
	top: 25px;
	left: 96px;
	font-size: 42px;
	color: #f72718;
	z-index: 5;
	transform: rotate(5deg);
}

#full-stack .codeigniter {
	top: 79px;
	left: 8px;
	font-size: 42px;
	color: #e84023;
	z-index: 6;
	transform: rotate(-12deg);
}

#full-stack .nginx {
	top: 87px;
	left: 70px;
	font-size: 60px;
	color: #1F1F1F;
	z-index: 7;
	transform: rotate(5deg);
}

@media (max-width: 1024px) {
	.main-full-stack {
		width: 100% !important;
		padding: 0 !important;
		height: auto !important;
	}

	#full-stack .text-designer {
		margin-top: 2vh;
	}

	#full-stack .text-designer .title {
		font-size: 3.2rem;
	}

	#full-stack .text-designer .text {
		font-size: 1.4rem;
		line-height: 1.6rem;
	}

	#full-stack .text-developer {
		margin-top: 4vh;
	}

	#full-stack .text-developer .title {
		font-size: 3.2rem;
	}

	#full-stack .text-developer .text {
		font-size: 1.4rem;
		line-height: 1.6rem;
	}
}